## org.eclipse.datatools.modelbase.sql.query
Interface QueryValueExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, ValueExpression

All Known Subinterfaces:
  ValueExpressionAtomic, ValueExpressionCase, ValueExpressionCaseSearch, ValueExpressionCaseSimple, ValueExpressionCast, ValueExpressionColumn, ValueExpressionCombined, ValueExpressionDefaultValue, ValueExpressionFunction, ValueExpressionLabeledDuration, ValueExpressionNested, ValueExpressionNullValue, ValueExpressionRow, ValueExpressionScalarSelect, ValueExpressionSimple, ValueExpressionVariable, XMLAggregateFunction, XMLAttributeDeclarationItem, XMLQueryArgumentItem, XMLSerializeFunction, XMLSerializeFunctionTarget, XMLTableColumnDefinitionDefault, XMLValueExpressionCast, XMLValueFunction, XMLValueFunctionComment, XMLValueFunctionCommentContent, XMLValueFunctionConcat, XMLValueFunctionConcatContentItem, XMLValueFunctionDocument, XMLValueFunctionDocumentContent, XMLValueFunctionElement, XMLValueFunctionElementContentItem, XMLValueFunctionForest, XMLValueFunctionForestContentItem, XMLValueFunctionParse, XMLValueFunctionParseContent, XMLValueFunctionPI, XMLValueFunctionPIContent, XMLValueFunctionQuery, XMLValueFunctionText, XMLValueFunctionTextContent, XMLValueFunctionValidate, XMLValueFunctionValidateContent

    public interface QueryValueExpression

extends SQLQueryObject, ValueExpression

A representation of the model object 'SQL Value Expression'.

The following features are supported:

- `Unary Operator`
- `Data Type`
- `Values Row`
- `Order By Value Expr`
- `Result Column`
- `Basic Right`
- `Basic Left`
- `Like Pattern`
- `Like Matching`
- `Predicate Null`
- `In Value List Right`
- `In Value List Left`
- `In Value Row Select Left`
- `In Value Select Left`
- `Quantified Row Select Left`
- `Quantified Value Select Left`
- `Between Left`
- `Between Right1`
- `Between Right2`
- `Value Expr Cast`
- `Value Expr Function`
- `Value Expr Combined Left`
- `Value Expr Combined Right`
- `Grouping Expr`
- `Value Expr Case Else`
- `Value Expr Case Simple`
- `Value Expr Case Simple Content When`
- `Value Expr Case Simple Content Result`
- `Value Expr Case Search Content`
- `Like Escape`
- `Value Expr Labeled Duration`
- `Nest`
- `Update Source Expr List`
- `Table Function`
- `Value Expr Row`
- `Call Statement`

See Also:
  `SQLQueryModelPackage.getQueryValueExpression()`

Method Summary
`PredicateBasic` `getBasicLeft()` Returns the value of the 'Basic Left' container reference.
`PredicateBasic` `getBasicRight()` Returns the value of the 'Basic Right' container reference.
`PredicateBetween` `getBetweenLeft()` Returns the value of the 'Between Left' container reference.
`PredicateBetween` `getBetweenRight1()` Returns the value of the 'Between Right1' container reference.
`PredicateBetween` `getBetweenRight2()` Returns the value of the 'Between Right2' container reference.
`CallStatement` `getCallStatement()` Returns the value of the 'Call Statement' container reference.
`DataType` `getDataType()` Returns the value of the 'Data Type' containment reference.
`GroupingExpression` `getGroupingExpr()` Returns the value of the 'Grouping Expr' container reference.
`PredicateInValueList` `getInValueListLeft()` Returns the value of the 'In Value List Left' container reference.
`PredicateInValueList` `getInValueListRight()` Returns the value of the 'In Value List Right' container reference.
`PredicateInValueRowSelect` `getInValueRowSelectLeft()` Returns the value of the 'In Value Row Select Left' container reference.
`PredicateInValueSelect` `getInValueSelectLeft()` Returns the value of the 'In Value Select Left' container reference.
`PredicateLike` `getLikeEscape()` Returns the value of the 'Like Escape' container reference.
`PredicateLike` `getLikeMatching()` Returns the value of the 'Like Matching' container reference.
`PredicateLike` `getLikePattern()` Returns the value of the 'Like Pattern' container reference.
`ValueExpressionNested` `getNest()` Returns the value of the 'Nest' container reference.
`OrderByValueExpression` `getOrderByValueExpr()` Returns the value of the 'Order By Value Expr' container reference.
`PredicateIsNull` `getPredicateNull()` Returns the value of the 'Predicate Null' container reference.
`PredicateQuantifiedRowSelect` `getQuantifiedRowSelectLeft()` Returns the value of the 'Quantified Row Select Left' container reference.
`PredicateQuantifiedValueSelect` `getQuantifiedValueSelectLeft()` Returns the value of the 'Quantified Value Select Left' container reference.
`ResultColumn` `getResultColumn()` Returns the value of the 'Result Column' container reference.
`TableFunction` `getTableFunction()` Returns the value of the 'Table Function' container reference.
`ValueExpressionUnaryOperator` `getUnaryOperator()` Returns the value of the 'Unary Operator' attribute.
`UpdateSourceExprList` `getUpdateSourceExprList()` Returns the value of the 'Update Source Expr List' container reference.
`ValueExpressionCaseElse` `getValueExprCaseElse()` Returns the value of the 'Value Expr Case Else' container reference.
`ValueExpressionCaseSearchContent` `getValueExprCaseSearchContent()` Returns the value of the 'Value Expr Case Search Content' container reference.
`ValueExpressionCaseSimple` `getValueExprCaseSimple()` Returns the value of the 'Value Expr Case Simple' container reference.
`ValueExpressionCaseSimpleContent` `getValueExprCaseSimpleContentResult()` Returns the value of the 'Value Expr Case Simple Content Result' container reference.
`ValueExpressionCaseSimpleContent` `getValueExprCaseSimpleContentWhen()` Returns the value of the 'Value Expr Case Simple Content When' container reference.
`ValueExpressionCast` `getValueExprCast()` Returns the value of the 'Value Expr Cast' container reference.
`ValueExpressionCombined` `getValueExprCombinedLeft()` Returns the value of the 'Value Expr Combined Left' container reference.
`ValueExpressionCombined` `getValueExprCombinedRight()` Returns the value of the 'Value Expr Combined Right' container reference.
`ValueExpressionFunction` `getValueExprFunction()` Returns the value of the 'Value Expr Function' container reference.
`ValueExpressionLabeledDuration` `getValueExprLabeledDuration()` Returns the value of the 'Value Expr Labeled Duration' container reference.
`ValueExpressionRow` `getValueExprRow()` Returns the value of the 'Value Expr Row' container reference.
`ValuesRow` `getValuesRow()` Returns the value of the 'Values Row' container reference.
`void` `setBasicLeft(PredicateBasic value)` Sets the value of the '`Basic Left`' container reference.
`void` `setBasicRight(PredicateBasic value)` Sets the value of the '`Basic Right`' container reference.
`void` `setBetweenLeft(PredicateBetween value)` Sets the value of the '`Between Left`' container reference.
`void` `setBetweenRight1(PredicateBetween value)` Sets the value of the '`Between Right1`' container reference.
`void` `setBetweenRight2(PredicateBetween value)` Sets the value of the '`Between Right2`' container reference.
`void` `setCallStatement(CallStatement value)` Sets the value of the '`Call Statement`' container reference.
`void` `setDataType(DataType value)` Sets the value of the '`Data Type`' containment reference.
`void` `setGroupingExpr(GroupingExpression value)` Sets the value of the '`Grouping Expr`' container reference.
`void` `setInValueListLeft(PredicateInValueList value)` Sets the value of the '`In Value List Left`' container reference.
`void` `setInValueListRight(PredicateInValueList value)` Sets the value of the '`In Value List Right`' container reference.
`void` `setInValueRowSelectLeft(PredicateInValueRowSelect value)` Sets the value of the '`In Value Row Select Left`' container reference.
`void` `setInValueSelectLeft(PredicateInValueSelect value)` Sets the value of the '`In Value Select Left`' container reference.
`void` `setLikeEscape(PredicateLike value)` Sets the value of the '`Like Escape`' container reference.
`void` `setLikeMatching(PredicateLike value)` Sets the value of the '`Like Matching`' container reference.
`void` `setLikePattern(PredicateLike value)` Sets the value of the '`Like Pattern`' container reference.
`void` `setNest(ValueExpressionNested value)` Sets the value of the '`Nest`' container reference.
`void` `setOrderByValueExpr(OrderByValueExpression value)` Sets the value of the '`Order By Value Expr`' container reference.
`void` `setPredicateNull(PredicateIsNull value)` Sets the value of the '`Predicate Null`' container reference.
`void` `setQuantifiedRowSelectLeft(PredicateQuantifiedRowSelect value)` Sets the value of the '`Quantified Row Select Left`' container reference.
`void` `setQuantifiedValueSelectLeft(PredicateQuantifiedValueSelect value)` Sets the value of the '`Quantified Value Select Left`' container reference.
`void` `setResultColumn(ResultColumn value)` Sets the value of the '`Result Column`' container reference.
`void` `setTableFunction(TableFunction value)` Sets the value of the '`Table Function`' container reference.
`void` `setUnaryOperator(ValueExpressionUnaryOperator value)` Sets the value of the '`Unary Operator`' attribute.
`void` `setUpdateSourceExprList(UpdateSourceExprList value)` Sets the value of the '`Update Source Expr List`' container reference.
`void` `setValueExprCaseElse(ValueExpressionCaseElse value)` Sets the value of the '`Value Expr Case Else`' container reference.
`void` `setValueExprCaseSearchContent(ValueExpressionCaseSearchContent value)` Sets the value of the '`Value Expr Case Search Content`' container reference.
`void` `setValueExprCaseSimple(ValueExpressionCaseSimple value)` Sets the value of the '`Value Expr Case Simple`' container reference.
`void` `setValueExprCaseSimpleContentResult(ValueExpressionCaseSimpleContent value)` Sets the value of the '`Value Expr Case Simple Content Result`' container reference.
`void` `setValueExprCaseSimpleContentWhen(ValueExpressionCaseSimpleContent value)` Sets the value of the '`Value Expr Case Simple Content When`' container reference.
`void` `setValueExprCast(ValueExpressionCast value)` Sets the value of the '`Value Expr Cast`' container reference.
`void` `setValueExprCombinedLeft(ValueExpressionCombined value)` Sets the value of the '`Value Expr Combined Left`' container reference.
`void` `setValueExprCombinedRight(ValueExpressionCombined value)` Sets the value of the '`Value Expr Combined Right`' container reference.
`void` `setValueExprFunction(ValueExpressionFunction value)` Sets the value of the '`Value Expr Function`' container reference.
`void` `setValueExprLabeledDuration(ValueExpressionLabeledDuration value)` Sets the value of the '`Value Expr Labeled Duration`' container reference.
`void` `setValueExprRow(ValueExpressionRow value)` Sets the value of the '`Value Expr Row`' container reference.
`void` `setValuesRow(ValuesRow value)` Sets the value of the '`Values Row`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getUnaryOperator

    ValueExpressionUnaryOperator getUnaryOperator()

  Returns the value of the 'Unary Operator' attribute. The literals are from the enumeration `ValueExpressionUnaryOperator`.

  If the meaning of the 'Unary Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unary Operator' attribute.
  See Also:
    `ValueExpressionUnaryOperator`, `setUnaryOperator(ValueExpressionUnaryOperator)`, `SQLQueryModelPackage.getQueryValueExpression_UnaryOperator()`

### setUnaryOperator

    void setUnaryOperator(ValueExpressionUnaryOperator value)

  Sets the value of the '`Unary Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Unary Operator' attribute.
  See Also:
    `ValueExpressionUnaryOperator`, `getUnaryOperator()`

### getDataType

    DataType getDataType()

  Returns the value of the 'Data Type' containment reference.

  If the meaning of the 'Data Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data Type' containment reference.
  See Also:
    `setDataType(DataType)`, `SQLQueryModelPackage.getQueryValueExpression_DataType()`

### setDataType

    void setDataType(DataType value)

  Sets the value of the '`Data Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Data Type' containment reference.
  See Also:
    `getDataType()`

### getValuesRow

    ValuesRow getValuesRow()

  Returns the value of the 'Values Row' container reference. It is bidirectional and its opposite is '`Expr List`'.

  If the meaning of the 'Values Row' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Values Row' container reference.
  See Also:
    `setValuesRow(ValuesRow)`, `SQLQueryModelPackage.getQueryValueExpression_ValuesRow()`, `ValuesRow.getExprList()`

### setValuesRow

    void setValuesRow(ValuesRow value)

  Sets the value of the '`Values Row`' container reference.

  Parameters:
    `value` - the new value of the 'Values Row' container reference.
  See Also:
    `getValuesRow()`

### getOrderByValueExpr

    OrderByValueExpression getOrderByValueExpr()

  Returns the value of the 'Order By Value Expr' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Order By Value Expr' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Order By Value Expr' container reference.
  See Also:
    `setOrderByValueExpr(OrderByValueExpression)`, `SQLQueryModelPackage.getQueryValueExpression_OrderByValueExpr()`, `OrderByValueExpression.getValueExpr()`

### setOrderByValueExpr

    void setOrderByValueExpr(OrderByValueExpression value)

  Sets the value of the '`Order By Value Expr`' container reference.

  Parameters:
    `value` - the new value of the 'Order By Value Expr' container reference.
  See Also:
    `getOrderByValueExpr()`

### getResultColumn

    ResultColumn getResultColumn()

  Returns the value of the 'Result Column' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Result Column' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result Column' container reference.
  See Also:
    `setResultColumn(ResultColumn)`, `SQLQueryModelPackage.getQueryValueExpression_ResultColumn()`, `ResultColumn.getValueExpr()`

### setResultColumn

    void setResultColumn(ResultColumn value)

  Sets the value of the '`Result Column`' container reference.

  Parameters:
    `value` - the new value of the 'Result Column' container reference.
  See Also:
    `getResultColumn()`

### getBasicRight

    PredicateBasic getBasicRight()

  Returns the value of the 'Basic Right' container reference. It is bidirectional and its opposite is '`Right Value Expr`'.

  If the meaning of the 'Basic Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Basic Right' container reference.
  See Also:
    `setBasicRight(PredicateBasic)`, `SQLQueryModelPackage.getQueryValueExpression_BasicRight()`, `PredicateBasic.getRightValueExpr()`

### setBasicRight

    void setBasicRight(PredicateBasic value)

  Sets the value of the '`Basic Right`' container reference.

  Parameters:
    `value` - the new value of the 'Basic Right' container reference.
  See Also:
    `getBasicRight()`

### getBasicLeft

    PredicateBasic getBasicLeft()

  Returns the value of the 'Basic Left' container reference. It is bidirectional and its opposite is '`Left Value Expr`'.

  If the meaning of the 'Basic Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Basic Left' container reference.
  See Also:
    `setBasicLeft(PredicateBasic)`, `SQLQueryModelPackage.getQueryValueExpression_BasicLeft()`, `PredicateBasic.getLeftValueExpr()`

### setBasicLeft

    void setBasicLeft(PredicateBasic value)

  Sets the value of the '`Basic Left`' container reference.

  Parameters:
    `value` - the new value of the 'Basic Left' container reference.
  See Also:
    `getBasicLeft()`

### getLikePattern

    PredicateLike getLikePattern()

  Returns the value of the 'Like Pattern' container reference. It is bidirectional and its opposite is '`Pattern Value Expr`'.

  If the meaning of the 'Like Pattern' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Like Pattern' container reference.
  See Also:
    `setLikePattern(PredicateLike)`, `SQLQueryModelPackage.getQueryValueExpression_LikePattern()`, `PredicateLike.getPatternValueExpr()`

### setLikePattern

    void setLikePattern(PredicateLike value)

  Sets the value of the '`Like Pattern`' container reference.

  Parameters:
    `value` - the new value of the 'Like Pattern' container reference.
  See Also:
    `getLikePattern()`

### getLikeMatching

    PredicateLike getLikeMatching()

  Returns the value of the 'Like Matching' container reference. It is bidirectional and its opposite is '`Matching Value Expr`'.

  If the meaning of the 'Like Matching' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Like Matching' container reference.
  See Also:
    `setLikeMatching(PredicateLike)`, `SQLQueryModelPackage.getQueryValueExpression_LikeMatching()`, `PredicateLike.getMatchingValueExpr()`

### setLikeMatching

    void setLikeMatching(PredicateLike value)

  Sets the value of the '`Like Matching`' container reference.

  Parameters:
    `value` - the new value of the 'Like Matching' container reference.
  See Also:
    `getLikeMatching()`

### getPredicateNull

    PredicateIsNull getPredicateNull()

  Returns the value of the 'Predicate Null' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Predicate Null' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Predicate Null' container reference.
  See Also:
    `setPredicateNull(PredicateIsNull)`, `SQLQueryModelPackage.getQueryValueExpression_PredicateNull()`, `PredicateIsNull.getValueExpr()`

### setPredicateNull

    void setPredicateNull(PredicateIsNull value)

  Sets the value of the '`Predicate Null`' container reference.

  Parameters:
    `value` - the new value of the 'Predicate Null' container reference.
  See Also:
    `getPredicateNull()`

### getInValueListRight

    PredicateInValueList getInValueListRight()

  Returns the value of the 'In Value List Right' container reference. It is bidirectional and its opposite is '`Value Expr List`'.

  If the meaning of the 'In Value List Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In Value List Right' container reference.
  See Also:
    `setInValueListRight(PredicateInValueList)`, `SQLQueryModelPackage.getQueryValueExpression_InValueListRight()`, `PredicateInValueList.getValueExprList()`

### setInValueListRight

    void setInValueListRight(PredicateInValueList value)

  Sets the value of the '`In Value List Right`' container reference.

  Parameters:
    `value` - the new value of the 'In Value List Right' container reference.
  See Also:
    `getInValueListRight()`

### getInValueListLeft

    PredicateInValueList getInValueListLeft()

  Returns the value of the 'In Value List Left' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'In Value List Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In Value List Left' container reference.
  See Also:
    `setInValueListLeft(PredicateInValueList)`, `SQLQueryModelPackage.getQueryValueExpression_InValueListLeft()`, `PredicateInValueList.getValueExpr()`

### setInValueListLeft

    void setInValueListLeft(PredicateInValueList value)

  Sets the value of the '`In Value List Left`' container reference.

  Parameters:
    `value` - the new value of the 'In Value List Left' container reference.
  See Also:
    `getInValueListLeft()`

### getInValueRowSelectLeft

    PredicateInValueRowSelect getInValueRowSelectLeft()

  Returns the value of the 'In Value Row Select Left' container reference. It is bidirectional and its opposite is '`Value Expr List`'.

  If the meaning of the 'In Value Row Select Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In Value Row Select Left' container reference.
  See Also:
    `setInValueRowSelectLeft(PredicateInValueRowSelect)`, `SQLQueryModelPackage.getQueryValueExpression_InValueRowSelectLeft()`, `PredicateInValueRowSelect.getValueExprList()`

### setInValueRowSelectLeft

    void setInValueRowSelectLeft(PredicateInValueRowSelect value)

  Sets the value of the '`In Value Row Select Left`' container reference.

  Parameters:
    `value` - the new value of the 'In Value Row Select Left' container reference.
  See Also:
    `getInValueRowSelectLeft()`

### getInValueSelectLeft

    PredicateInValueSelect getInValueSelectLeft()

  Returns the value of the 'In Value Select Left' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'In Value Select Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In Value Select Left' container reference.
  See Also:
    `setInValueSelectLeft(PredicateInValueSelect)`, `SQLQueryModelPackage.getQueryValueExpression_InValueSelectLeft()`, `PredicateInValueSelect.getValueExpr()`

### setInValueSelectLeft

    void setInValueSelectLeft(PredicateInValueSelect value)

  Sets the value of the '`In Value Select Left`' container reference.

  Parameters:
    `value` - the new value of the 'In Value Select Left' container reference.
  See Also:
    `getInValueSelectLeft()`

### getQuantifiedRowSelectLeft

    PredicateQuantifiedRowSelect getQuantifiedRowSelectLeft()

  Returns the value of the 'Quantified Row Select Left' container reference. It is bidirectional and its opposite is '`Value Expr List`'.

  If the meaning of the 'Quantified Row Select Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Quantified Row Select Left' container reference.
  See Also:
    `setQuantifiedRowSelectLeft(PredicateQuantifiedRowSelect)`, `SQLQueryModelPackage.getQueryValueExpression_QuantifiedRowSelectLeft()`, `PredicateQuantifiedRowSelect.getValueExprList()`

### setQuantifiedRowSelectLeft

    void setQuantifiedRowSelectLeft(PredicateQuantifiedRowSelect value)

  Sets the value of the '`Quantified Row Select Left`' container reference.

  Parameters:
    `value` - the new value of the 'Quantified Row Select Left' container reference.
  See Also:
    `getQuantifiedRowSelectLeft()`

### getQuantifiedValueSelectLeft

    PredicateQuantifiedValueSelect getQuantifiedValueSelectLeft()

  Returns the value of the 'Quantified Value Select Left' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Quantified Value Select Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Quantified Value Select Left' container reference.
  See Also:
    `setQuantifiedValueSelectLeft(PredicateQuantifiedValueSelect)`, `SQLQueryModelPackage.getQueryValueExpression_QuantifiedValueSelectLeft()`, `PredicateQuantifiedValueSelect.getValueExpr()`

### setQuantifiedValueSelectLeft

    void setQuantifiedValueSelectLeft(PredicateQuantifiedValueSelect value)

  Sets the value of the '`Quantified Value Select Left`' container reference.

  Parameters:
    `value` - the new value of the 'Quantified Value Select Left' container reference.
  See Also:
    `getQuantifiedValueSelectLeft()`

### getBetweenLeft

    PredicateBetween getBetweenLeft()

  Returns the value of the 'Between Left' container reference. It is bidirectional and its opposite is '`Left Value Expr`'.

  If the meaning of the 'Between Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Between Left' container reference.
  See Also:
    `setBetweenLeft(PredicateBetween)`, `SQLQueryModelPackage.getQueryValueExpression_BetweenLeft()`, `PredicateBetween.getLeftValueExpr()`

### setBetweenLeft

    void setBetweenLeft(PredicateBetween value)

  Sets the value of the '`Between Left`' container reference.

  Parameters:
    `value` - the new value of the 'Between Left' container reference.
  See Also:
    `getBetweenLeft()`

### getBetweenRight1

    PredicateBetween getBetweenRight1()

  Returns the value of the 'Between Right1' container reference. It is bidirectional and its opposite is '`Right Value Expr1`'.

  If the meaning of the 'Between Right1' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Between Right1' container reference.
  See Also:
    `setBetweenRight1(PredicateBetween)`, `SQLQueryModelPackage.getQueryValueExpression_BetweenRight1()`, `PredicateBetween.getRightValueExpr1()`

### setBetweenRight1

    void setBetweenRight1(PredicateBetween value)

  Sets the value of the '`Between Right1`' container reference.

  Parameters:
    `value` - the new value of the 'Between Right1' container reference.
  See Also:
    `getBetweenRight1()`

### getBetweenRight2

    PredicateBetween getBetweenRight2()

  Returns the value of the 'Between Right2' container reference. It is bidirectional and its opposite is '`Right Value Expr2`'.

  If the meaning of the 'Between Right2' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Between Right2' container reference.
  See Also:
    `setBetweenRight2(PredicateBetween)`, `SQLQueryModelPackage.getQueryValueExpression_BetweenRight2()`, `PredicateBetween.getRightValueExpr2()`

### setBetweenRight2

    void setBetweenRight2(PredicateBetween value)

  Sets the value of the '`Between Right2`' container reference.

  Parameters:
    `value` - the new value of the 'Between Right2' container reference.
  See Also:
    `getBetweenRight2()`

### getValueExprCast

    ValueExpressionCast getValueExprCast()

  Returns the value of the 'Value Expr Cast' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Value Expr Cast' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Cast' container reference.
  See Also:
    `setValueExprCast(ValueExpressionCast)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCast()`, `ValueExpressionCast.getValueExpr()`

### setValueExprCast

    void setValueExprCast(ValueExpressionCast value)

  Sets the value of the '`Value Expr Cast`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Cast' container reference.
  See Also:
    `getValueExprCast()`

### getValueExprFunction

    ValueExpressionFunction getValueExprFunction()

  Returns the value of the 'Value Expr Function' container reference. It is bidirectional and its opposite is '`Parameter List`'.

  If the meaning of the 'Value Expr Function' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Function' container reference.
  See Also:
    `setValueExprFunction(ValueExpressionFunction)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprFunction()`, `ValueExpressionFunction.getParameterList()`

### setValueExprFunction

    void setValueExprFunction(ValueExpressionFunction value)

  Sets the value of the '`Value Expr Function`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Function' container reference.
  See Also:
    `getValueExprFunction()`

### getValueExprCombinedLeft

    ValueExpressionCombined getValueExprCombinedLeft()

  Returns the value of the 'Value Expr Combined Left' container reference. It is bidirectional and its opposite is '`Left Value Expr`'.

  If the meaning of the 'Value Expr Combined Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Combined Left' container reference.
  See Also:
    `setValueExprCombinedLeft(ValueExpressionCombined)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCombinedLeft()`, `ValueExpressionCombined.getLeftValueExpr()`

### setValueExprCombinedLeft

    void setValueExprCombinedLeft(ValueExpressionCombined value)

  Sets the value of the '`Value Expr Combined Left`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Combined Left' container reference.
  See Also:
    `getValueExprCombinedLeft()`

### getValueExprCombinedRight

    ValueExpressionCombined getValueExprCombinedRight()

  Returns the value of the 'Value Expr Combined Right' container reference. It is bidirectional and its opposite is '`Right Value Expr`'.

  If the meaning of the 'Value Expr Combined Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Combined Right' container reference.
  See Also:
    `setValueExprCombinedRight(ValueExpressionCombined)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCombinedRight()`, `ValueExpressionCombined.getRightValueExpr()`

### setValueExprCombinedRight

    void setValueExprCombinedRight(ValueExpressionCombined value)

  Sets the value of the '`Value Expr Combined Right`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Combined Right' container reference.
  See Also:
    `getValueExprCombinedRight()`

### getGroupingExpr

    GroupingExpression getGroupingExpr()

  Returns the value of the 'Grouping Expr' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Grouping Expr' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Expr' container reference.
  See Also:
    `setGroupingExpr(GroupingExpression)`, `SQLQueryModelPackage.getQueryValueExpression_GroupingExpr()`, `GroupingExpression.getValueExpr()`

### setGroupingExpr

    void setGroupingExpr(GroupingExpression value)

  Sets the value of the '`Grouping Expr`' container reference.

  Parameters:
    `value` - the new value of the 'Grouping Expr' container reference.
  See Also:
    `getGroupingExpr()`

### getValueExprCaseElse

    ValueExpressionCaseElse getValueExprCaseElse()

  Returns the value of the 'Value Expr Case Else' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Value Expr Case Else' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Case Else' container reference.
  See Also:
    `setValueExprCaseElse(ValueExpressionCaseElse)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseElse()`, `ValueExpressionCaseElse.getValueExpr()`

### setValueExprCaseElse

    void setValueExprCaseElse(ValueExpressionCaseElse value)

  Sets the value of the '`Value Expr Case Else`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Case Else' container reference.
  See Also:
    `getValueExprCaseElse()`

### getValueExprCaseSimple

    ValueExpressionCaseSimple getValueExprCaseSimple()

  Returns the value of the 'Value Expr Case Simple' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Value Expr Case Simple' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Case Simple' container reference.
  See Also:
    `setValueExprCaseSimple(ValueExpressionCaseSimple)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseSimple()`, `ValueExpressionCaseSimple.getValueExpr()`

### setValueExprCaseSimple

    void setValueExprCaseSimple(ValueExpressionCaseSimple value)

  Sets the value of the '`Value Expr Case Simple`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Case Simple' container reference.
  See Also:
    `getValueExprCaseSimple()`

### getValueExprCaseSimpleContentWhen

    ValueExpressionCaseSimpleContent getValueExprCaseSimpleContentWhen()

  Returns the value of the 'Value Expr Case Simple Content When' container reference. It is bidirectional and its opposite is '`When Value Expr`'.

  If the meaning of the 'Value Expr Case Simple Content When' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Case Simple Content When' container reference.
  See Also:
    `setValueExprCaseSimpleContentWhen(ValueExpressionCaseSimpleContent)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseSimpleContentWhen()`, `ValueExpressionCaseSimpleContent.getWhenValueExpr()`

### setValueExprCaseSimpleContentWhen

    void setValueExprCaseSimpleContentWhen(ValueExpressionCaseSimpleContent value)

  Sets the value of the '`Value Expr Case Simple Content When`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Case Simple Content When' container reference.
  See Also:
    `getValueExprCaseSimpleContentWhen()`

### getValueExprCaseSimpleContentResult

    ValueExpressionCaseSimpleContent getValueExprCaseSimpleContentResult()

  Returns the value of the 'Value Expr Case Simple Content Result' container reference. It is bidirectional and its opposite is '`Result Value Expr`'.

  If the meaning of the 'Value Expr Case Simple Content Result' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Case Simple Content Result' container reference.
  See Also:
    `setValueExprCaseSimpleContentResult(ValueExpressionCaseSimpleContent)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseSimpleContentResult()`, `ValueExpressionCaseSimpleContent.getResultValueExpr()`

### setValueExprCaseSimpleContentResult

    void setValueExprCaseSimpleContentResult(ValueExpressionCaseSimpleContent value)

  Sets the value of the '`Value Expr Case Simple Content Result`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Case Simple Content Result' container reference.
  See Also:
    `getValueExprCaseSimpleContentResult()`

### getValueExprCaseSearchContent

    ValueExpressionCaseSearchContent getValueExprCaseSearchContent()

  Returns the value of the 'Value Expr Case Search Content' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Value Expr Case Search Content' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Case Search Content' container reference.
  See Also:
    `setValueExprCaseSearchContent(ValueExpressionCaseSearchContent)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseSearchContent()`, `ValueExpressionCaseSearchContent.getValueExpr()`

### setValueExprCaseSearchContent

    void setValueExprCaseSearchContent(ValueExpressionCaseSearchContent value)

  Sets the value of the '`Value Expr Case Search Content`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Case Search Content' container reference.
  See Also:
    `getValueExprCaseSearchContent()`

### getLikeEscape

    PredicateLike getLikeEscape()

  Returns the value of the 'Like Escape' container reference. It is bidirectional and its opposite is '`Escape Value Expr`'.

  If the meaning of the 'Like Escape' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Like Escape' container reference.
  See Also:
    `setLikeEscape(PredicateLike)`, `SQLQueryModelPackage.getQueryValueExpression_LikeEscape()`, `PredicateLike.getEscapeValueExpr()`

### setLikeEscape

    void setLikeEscape(PredicateLike value)

  Sets the value of the '`Like Escape`' container reference.

  Parameters:
    `value` - the new value of the 'Like Escape' container reference.
  See Also:
    `getLikeEscape()`

### getValueExprLabeledDuration

    ValueExpressionLabeledDuration getValueExprLabeledDuration()

  Returns the value of the 'Value Expr Labeled Duration' container reference. It is bidirectional and its opposite is '`Value Expr`'.

  If the meaning of the 'Value Expr Labeled Duration' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Labeled Duration' container reference.
  See Also:
    `setValueExprLabeledDuration(ValueExpressionLabeledDuration)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprLabeledDuration()`, `ValueExpressionLabeledDuration.getValueExpr()`

### setValueExprLabeledDuration

    void setValueExprLabeledDuration(ValueExpressionLabeledDuration value)

  Sets the value of the '`Value Expr Labeled Duration`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Labeled Duration' container reference.
  See Also:
    `getValueExprLabeledDuration()`

### getNest

    ValueExpressionNested getNest()

  Returns the value of the 'Nest' container reference. It is bidirectional and its opposite is '`Nested Value Expr`'.

  If the meaning of the 'Nest' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nest' container reference.
  See Also:
    `setNest(ValueExpressionNested)`, `SQLQueryModelPackage.getQueryValueExpression_Nest()`, `ValueExpressionNested.getNestedValueExpr()`

### setNest

    void setNest(ValueExpressionNested value)

  Sets the value of the '`Nest`' container reference.

  Parameters:
    `value` - the new value of the 'Nest' container reference.
  See Also:
    `getNest()`

### getUpdateSourceExprList

    UpdateSourceExprList getUpdateSourceExprList()

  Returns the value of the 'Update Source Expr List' container reference. It is bidirectional and its opposite is '`Value Expr List`'.

  If the meaning of the 'Update Source Expr List' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Source Expr List' container reference.
  See Also:
    `setUpdateSourceExprList(UpdateSourceExprList)`, `SQLQueryModelPackage.getQueryValueExpression_UpdateSourceExprList()`, `UpdateSourceExprList.getValueExprList()`

### setUpdateSourceExprList

    void setUpdateSourceExprList(UpdateSourceExprList value)

  Sets the value of the '`Update Source Expr List`' container reference.

  Parameters:
    `value` - the new value of the 'Update Source Expr List' container reference.
  See Also:
    `getUpdateSourceExprList()`

### getTableFunction

    TableFunction getTableFunction()

  Returns the value of the 'Table Function' container reference. It is bidirectional and its opposite is '`Parameter List`'.

  If the meaning of the 'Table Function' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Function' container reference.
  See Also:
    `setTableFunction(TableFunction)`, `SQLQueryModelPackage.getQueryValueExpression_TableFunction()`, `TableFunction.getParameterList()`

### setTableFunction

    void setTableFunction(TableFunction value)

  Sets the value of the '`Table Function`' container reference.

  Parameters:
    `value` - the new value of the 'Table Function' container reference.
  See Also:
    `getTableFunction()`

### getValueExprRow

    ValueExpressionRow getValueExprRow()

  Returns the value of the 'Value Expr Row' container reference. It is bidirectional and its opposite is '`Value Expr List`'.

  If the meaning of the 'Value Expr Row' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Row' container reference.
  See Also:
    `setValueExprRow(ValueExpressionRow)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprRow()`, `ValueExpressionRow.getValueExprList()`

### setValueExprRow

    void setValueExprRow(ValueExpressionRow value)

  Sets the value of the '`Value Expr Row`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Row' container reference.
  See Also:
    `getValueExprRow()`

### getCallStatement

    CallStatement getCallStatement()

  Returns the value of the 'Call Statement' container reference. It is bidirectional and its opposite is '`Argument List`'.

  If the meaning of the 'Call Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Call Statement' container reference.
  See Also:
    `setCallStatement(CallStatement)`, `SQLQueryModelPackage.getQueryValueExpression_CallStatement()`, `CallStatement.getArgumentList()`

### setCallStatement

    void setCallStatement(CallStatement value)

  Sets the value of the '`Call Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Call Statement' container reference.
  See Also:
    `getCallStatement()`